Skip to main content
GET
/
uptime
/
incidents
/
{incidentId}
/
updates
List incident updates
curl --request GET \
  --url https://api.phare.io/uptime/incidents/{incidentId}/updates \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.phare.io/uptime/incidents/{incidentId}/updates"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.phare.io/uptime/incidents/{incidentId}/updates', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": [
    {
      "content": "We are investigating the issue.",
      "id": 1,
      "published_at": "2023-11-07T05:31:56Z",
      "creator": {
        "id": 1,
        "type": "user",
        "label": "nicolas@phare.io"
      },
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "meta": {
    "current_page": 2,
    "from": 11,
    "to": 20,
    "per_page": 100,
    "path": "https://api.phare.io/{resource}?page=2"
  },
  "links": {
    "first": "https://api.phare.io/{resource}?page=2",
    "last": "https://api.phare.io/{resource}?page=10",
    "prev": "https://api.phare.io/{resource}?page=1",
    "next": "https://api.phare.io/{resource}?page=1"
  }
}
{
  "message": "Unauthorized"
}
{
  "message": "The platform:write permission is required to perform this action."
}

Authorizations

Authorization
string
header
required

Use a user token to access authenticated routes. The token must be specified in the Authorization HTTP header with the following format 'Authorization: Bearer '.

Headers

X-Phare-Project-Id
integer

A project header is required when using an organization-scoped API key.

Example:

1

X-Phare-Project-Slug
string

A project header is required when using an organization-scoped API key.

Example:

"luminous-guiding-tower"

Path Parameters

incidentId
integer
required

ID of the incident

Query Parameters

page
integer
default:1

Page number to show

Example:

1

per_page
integer
default:20

Number of resources to return per page

Required range: 1 <= x <= 100
Example:

20

Response

Success, incident updates retrieved

data
object[]
meta
object

Meta data for pagination

Links for pagination

Last modified on February 22, 2026